Bug 138910 - FC3 install won't run on Asus P2B-D
FC3 install won't run on Asus P2B-D
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 16:42 EST by J.B. Nicholson-Owens
Modified: 2015-01-04 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2004-11-11 16:42:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
I've just installed FC3 on an Asus P2B-D machine with 2 Katmai 500MHz
Pentium 3 CPUs.  The install goes through fine but the system won't
boot up.

I get to the step in the boot process where "kernel parameters" are
being set (this looks like the third step in the boot process) and the
boot stops.  No GUI but there was an attempt at bringing the GUI up
after the second step in the boot process where the screen went black
and then returned to the textual bootup screen.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. Install FC3 on an Asus P2B-D with 2 P3s (500MHz Katmai) and 768MB RAM.
2. Boot up and watch it fail to set kernel parameters.

Actual Results:  No bootup resulted.  Fedora Core 2 works fine on the
same machine.

Expected Results:  The machine should have booted up like FC2 did.

Additional info:
Comment 1 Dave Jones 2004-11-11 20:12:13 EST
does this go away if you remove rhgb from the boot command line ?
Comment 2 J.B. Nicholson-Owens 2004-11-15 01:41:16 EST
Yes! And it leaves me with an x.org problem -- my card uses the
RIVA128 driver and it won't do a 16-bit display.  Changing the x.org
config to a 24-bit display fixed the problem (changing "16" to "24" in
two places--section "Screen" DefaultDepth and SubSection Display
Depth) and lets me use rhgb in the boot command line and see the
pretty boot graphics.  I changed the component on this bug to xorg-x11
to address this change.

I'm not sure if this change in the xorg.conf file is considered a bug
or if my hardware is problematic in some way (maybe it told x.org it
supports 16-bit displays but doesn't really?).  So I'll leave it to
someone else to close the bug or tell me what info they need to
further resolve the issue.

Thanks for the tip!
Comment 3 Olivier Baudron 2005-09-05 03:41:22 EDT
Could you try to boot in 16-bit display with the latest xorg-x11
(6.8.2-37.FC4.45) to see if it fixes the problem ? Thanks in advance.
Comment 4 Matthew Miller 2006-07-10 16:08:10 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-30 17:16:23 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.